"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var adapters_ios_1 = require("../adapters.ios");
describe('iOS filter tests', function () {
    test('filterTextProps works', function () {
        expect((0, adapters_ios_1.filterTextProps)('foo')).toBeFalsy();
        expect((0, adapters_ios_1.filterTextProps)('children')).toBeTruthy();
        expect((0, adapters_ios_1.filterTextProps)('style')).toBeTruthy();
        expect((0, adapters_ios_1.filterTextProps)('accessible')).toBeTruthy();
        expect((0, adapters_ios_1.filterTextProps)('selectable')).toBeFalsy();
    });
    test('filterViewProps works', function () {
        expect((0, adapters_ios_1.filterViewProps)('foo')).toBeFalsy();
        expect((0, adapters_ios_1.filterViewProps)('children')).toBeTruthy();
        expect((0, adapters_ios_1.filterViewProps)('style')).toBeTruthy();
        expect((0, adapters_ios_1.filterViewProps)('accessible')).toBeTruthy();
        expect((0, adapters_ios_1.filterViewProps)('animationClass')).toBeFalsy();
        expect((0, adapters_ios_1.filterViewProps)('shouldRasterizeIOS')).toBeTruthy();
        expect((0, adapters_ios_1.filterViewProps)('renderToHardwareTextureAndroid')).toBeFalsy();
    });
    test('filterImageProps works', function () {
        expect((0, adapters_ios_1.filterImageProps)('foo')).toBeFalsy();
        expect((0, adapters_ios_1.filterImageProps)('children')).toBeTruthy();
        expect((0, adapters_ios_1.filterImageProps)('style')).toBeTruthy();
        expect((0, adapters_ios_1.filterImageProps)('accessible')).toBeTruthy();
    });
});
//# sourceMappingURL=ios.test.js.map